#' Genetic distances and coordinates of haplogroup R1b1b2 populations in Europe
#'
#' genDist: Genetic distances between 23 populations of Y-chromosome
#' haplogroup R1b1b2 in Europe, calculated from haplotype microsatellite
#' data (see source).
#'
#' The distance measure used is the negative logarithm of the shared
#' proportion of alleles.
#'
#' popCoord: Geographic coordinates of the same populations.
#'
#' @name genDist
#' @docType data
#' @aliases genDist
#' @aliases popCoord
#' @keywords datasets
#' @references
#' Balaresque P., et al. 2010. A predominantly Neolithic
#' origin for European paternal lineages.
#' \emph{PLoS Biology} 8(1): e1000285.
#'
#' @source
#' Distances calculated from Table S1 in
#' Balaresque et al. (2010).
#' Coordinates from Table 1.
#'
#' @format
#' dist object (genDist) and data.frame (popCoord)
c("popCoord", "genDist")

